Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.encoders
Interface ImageFormat

    public interface ImageFormat

Interface used for referencing different image formats.

Field Summary
`static java.lang.String` | `GIF` Graphics Interchange Format - lossless, but 256 colour restriction
`static java.lang.String` | `JPEG` Joint Photographic Experts Group format - lossy
`static java.lang.String` | `PNG` Portable Network Graphics - lossless

Field Detail

### PNG

    static final java.lang.String PNG

  Portable Network Graphics - lossless

  See Also:
    Constant Field Values

### JPEG

    static final java.lang.String JPEG

  Joint Photographic Experts Group format - lossy

  See Also:
    Constant Field Values

### GIF

    static final java.lang.String GIF

  Graphics Interchange Format - lossless, but 256 colour restriction

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.